/*------------------------------------------------------------------------------
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#include "spwplugin.h"
#include "stardundeespw_usb.h"


spwplugin::spwplugin(QWidget *parent):socexplorerplugin(parent,true)
{
    Q_UNUSED(parent)
    this->bridge = new stardundeeSPW_USB(this);
    if(this->bridge->connectBridge())
    {
        this->Connected = true;
        emit this->activateSig(true);
    }
}


spwplugin::~spwplugin()
{

}



unsigned int spwplugin::Read(unsigned int *Value,unsigned int count,unsigned int address)
{
    if(Connected)
    {
        return  bridge->Read(Value,count,address);
    }
    return 0;
}

unsigned int spwplugin::Write(unsigned int *Value,unsigned int count, unsigned int address)
{
    if(Connected)
    {
        return  bridge->Write(Value,count,address);
    }
    return 0;
}








